Subject: RE: about Inter-gatekeeper operation

From: Guocai Deng <[email-masked]>
Date: Thu, 24 Sep 1998 17:37:53 +0800

I feel that we need to clear the difference between Location and Calling. 
(1)Sure Route info used by Location and Calling. But the route info may be
or may not be exchanged by Gatekeeper. In the other words, we must put out a
kind of independent logical element, may be called Location Server, which
response for exchange route info and caculating route. Gatekeeper may need
to loading route info from the Location Server. and Gatekeeper especially
for call exchange etc. so we may decrease the gatekeeper hops a call passed
and obtain scability.
(2)A call may be not completed by two gatekeepers, so we need some middle
gatekeepers, otherwise, location server will store too much info so commits
bad performance, or location server may ask too many other location server
to got the target gatekeeper info. but gatekeeper can use static or default
route to gatekeeper to rapidly call.
 
    By the way, i have not got the ITU-T Annex G for H.225.0, who can send
me a copy ?

Thanks.
> -----Original Message-----
> From:	Ami Amir [SMTP:[email-masked]]
> Sent:	Thursday, September 24, 1998 12:35 AM
> To:	Jonathan Rosenberg
> Cc:	Guocai Deng; [email-masked]
> Subject: 	Re: about Inter-gatekeeper operation
> 
> 
> Hi
> 
> The ITU - T SG16 just passed a document - Annex G for H.225.0 called
> "Communication between Adminstrative Domains". The document covers how
> Gatekeepers
> that belong to different adminstrative organizations may communicate,
> hiding the
> internal GK network. This creates in effect a multi-tier mechanism (one
> could
> conceivable create multi tiered administration).
> 
> Ami
> 
> Jonathan Rosenberg wrote:
> 
> > > ----------
> > > From:         Jonathan Rosenberg[SMTP:[email-masked]]
> > > Sent:         Friday, September 18, 1998 3:42:27 PM
> > > To:   Guocai Deng
> > > Cc:   [email-masked]
> > > Subject:      Re: about Inter-gatekeeper operation
> > > Auto forwarded by a Rule
> > >
> > Guocai Deng wrote:
> > >
> > > I have review the Gwloc section 3.1, Is there any protocol to support
> N-tier
> > > Gatekeeper, which would increase scability of IP Phone for deployment
> ? If
> > > not, why ?
> >
> > I'm not sure of your definition of "N-tier gatekeeper". As part of the
> > outcome of the last IETF meeting, the group achieved consensus that we
> > should be able to locate gateways by exhcnaging information through
> > multiple location servers (which may be gatekeepers). There is no
> > fundamental limitation on the number of such gateways, nor on the way in
> > which they are connected together. It is not our job here to dictate the
> > precise architecture in which the location servers are connected (i.e.,
> > tree, ring, etc.), but just to specify the protocol between them. The
> > model is in some respects similar to IP routing, in particular, BGP,
> > although our own protocol may or may not actually be based on the BGP
> > protocol.
> >
> > Thanks,
> > Jonathan R.
> >
> > --
> > Jonathan D. Rosenberg                       Lucent Technologies
> > Member of Technical Staff                   101 Crawfords Corner Rd.
> > High Speed Networks Research                Holmdel, NJ 07733
> > FAX:   (732) 834-5379                       Rm. 4C-526
> > EMAIL: [email-masked]
> > URL: http://www.cs.columbia.edu/~jdrosen
> > ---------
> > This message came from the IETF IPTEL Working Group Mailing List.
> 
> 
> 
> ---------
> This message came from the IETF IPTEL Working Group Mailing List.
---------
This message came from the IETF IPTEL Working Group Mailing List.

---

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 24 Sep 1998 11:09:02 -0400

> for call exchange etc. so we may decrease the gatekeeper hops a call passed

The location server is a logical element. In general, it will be
coresident with the gatekeeper.

> route to gatekeeper to rapidly call.

The model we agreed upon at the last IETF does not restrict the number
of location servers (again, generally co-resident with gk) to 2; they
can be linked together in whatever means is desired by the providers,
akin to how routers are linked in BGP. Also, in the model we discussed,
the location server does not "ask" other location servers for gateway
information at call setup. This information is propagated ahead of time,
so that call setup is not delayed.

-Jonathan R.